org.cybergarage.upnp.ssdp

## Class SSDPResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.upnp.ssdp.SSDPResponse

- Direct Known Subclasses:
    SSDPSearchResponse

      public class SSDPResponse
      extends HTTPResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHeader()`
    `int` | `getLeaseTime()`
    `String` | `getLocation()`
    `String` | `getMYNAME()`
    `String` | `getST()`
    `String` | `getUSN()`
    `void` | `setLeaseTime(int len)`
    `void` | `setLocation(String value)`
    `void` | `setMYNAME(String value)`
    `void` | `setST(String value)`
    `void` | `setUSN(String value)`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPResponse

          public SSDPResponse()

  - ### Method Detail

    - #### setST

          public void setST(String value)

    - #### getST

          public String getST()

    - #### setLocation

          public void setLocation(String value)

    - #### getLocation

          public String getLocation()

    - #### setUSN

          public void setUSN(String value)

    - #### getUSN

          public String getUSN()

    - #### setMYNAME

          public void setMYNAME(String value)

    - #### getMYNAME

          public String getMYNAME()

    - #### setLeaseTime

          public void setLeaseTime(int len)

    - #### getLeaseTime

          public int getLeaseTime()

    - #### getHeader

          public String getHeader()

      Overrides:
        `getHeader` in class `HTTPResponse`